<template>
  <input-base :name="name" :size="size" :error="error">
    <textarea
      rows="4"
      class="textarea"
      :value="modelValue"
      v-on:input.stop="on_input"
    />
  </input-base>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";

import InputBase from "@/components/input/InputBase.vue";

@Options({
  props: {
    size: {
      type: Number,
      default: 2,
    },
    name: {
      type: String,
      requierd: false,
    },
    error: {
      type: String,
      requierd: false,
    },
    modelValue: {
      type: String,
      requierd: true,
    },
  },
  emits: ["update:modelValue"],
  components: {
    InputBase,
  },
})
export default class InputTextArea extends Vue {
  public size!: number;
  public name!: string;
  public error?: string;

  public on_input(event: any): void {
    this.$emit("update:modelValue", event.target.value);
  }
}
</script>

<style scoped lang="scss">
@import "@/styles/globals";

.textarea {
  font-family: Roboto;
  display: block;
  padding: $small_spacing;
  margin: 0;

  width: 100%;
  border: none;

  font-size: 16px;

  box-sizing: border-box;
  outline: none;
}
</style>
